Skip to content
Gowd Platform Production

Get banking payin

GET
/order/v1/banking/order-payins/{id}

Retrieve the current status of a banking payin by its id.

id
required
string

Identifier of the payin

externalId
string

External identifier used as fallback lookup

object
id
required

Payin identifier

string
Example
c1c4c0b1-3bb8-4b1c-9e47-3f4a6f3a1b2c
externalId
required

External identifier

string
Example
external-123
status
required

Current status

string
Example
PENDING
errorMessage

Error message when order cannot proceed

string
Example
We were unable to complete your order at this time. Contact support for more information
qrcodeImageBase64
required

QR Code image (base64)

string
Example
iVBORw0KGgoAAAANSUhEUg...
qrcodeData
required

QR Code payload data

string
Example
000201010212...
expireDateTime
required

Expiration datetime (ISO)

string
Example
2024-01-01T12:00:00Z
amount
required

Amount information

object
currency
required

Currency code

string
Allowed values: BRL
Example
BRL
value
required

Amount value as a numeric string. A JSON number is also accepted.

string
Example
10.00
Example
{
"currency": "BRL",
"value": "10.00"
}
description
required

Payin description

string
Example
Order #1234
conciliationId
required

Conciliation identifier

string
Example
conciliation-123
endToEndId

EndToEnd identifier (PIX)

string
Example
E12345678920240101120000abcd
paymentMethod
required

Payment method

string
Example
PIX
createdAt
required

Creation datetime (ISO)

string
Example
2024-01-01T12:00:00Z
paidAt

Payment datetime (ISO)

string
Example
2024-01-01T12:05:00Z
refundedAt

Refund datetime (ISO)

string
Example
2024-01-02T12:00:00Z
canceledAt

Cancellation datetime (ISO)

string
Example
2024-01-01T13:00:00Z
expiredAt

Expiration confirmation datetime (ISO)

string
Example
2024-01-02T12:00:00Z

Bad request

Forbidden

Not found

Internal error